Subject: Re: [PATCH 9/9] send-email: move trivial config handling to Perl

From: Felipe Contreras <[email-masked]>
Date: Thu, 13 May 2021 03:15:24 -0500

Jeff King wrote:
> On Thu, May 13, 2021 at 02:04:08AM -0500, Felipe Contreras wrote:
> 
> > Jeff King wrote:
> > > It is a bit unfortunate to have to go through these contortions, but
> > > this is definitely the best we can do for now. I think in the long run
> > > it would be nice to have a "--stdin" mode for git-config, where we could
> > > do something like:
> > > 
> > >   git config --stdin <<\EOF
> > >   key=foo.bar
> > >   type=bool
> > >   default=false
> > > 
> > >   key=another.key
> > >   type=color
> > >   default=red
> > >   EOF
> > 
> > Why do we even have to specify the type? Shouldn't there be a registry
> > of configurations (a schema), so that all users don't have to do this?
> 
> One of the purposes of git-config is to serve third-party scripts that
> store their own config keys that Git does not know about. So we can't
> know the set of all possible types that will be asked about.

Yes, I know, I maintain several tools that have such configurations. For
those you would need to specify the type (or find some way to install
the schema so that git parses it).

But I'm talking about git.git configurations. If you don't specify the
type in --stdin it should fetch it from some database. That would be
much more user-friendly.

-- 
Felipe Contreras